Skip to content

PreferenceDefault⁠

Perform various operations for Symitar parameters.

Operations⁠

getPreferenceDefaultSelectFields⁠

POST

Execute the persistent ParameterService getPreferenceDefaultSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPreferenceDefaultSelectFields
POST /nexum/627/persistent/parameter/getPreferenceDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceDefaultFields": true,
    "PreferenceDefaultFields": {
      "AudioAccess": true,
      "AudioAccess2": true,
      "AudioEnable": true,
      "BillPayCountLimit": true,
      "BillPayLimit": true,
      "BillPayMax": true,
      "DepCountLimit": true,
      "DepLimit": true,
      "DepMax": true,
      "HbEnable": true,
      "HbMode": true,
      "InteractMode": true,
      "Language": true,
      "ListTransactions": true,
      "Reference": true,
      "TranCodes": true,
      "Type": true,
      "UserCode": true,
      "WdCashCountLimit": true,
      "WdCashLimit": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updatePreferenceDefaultByID⁠

POST

Execute the persistent ParameterService updatePreferenceDefaultByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updatePreferenceDefaultByID
POST /nexum/627/persistent/parameter/updatePreferenceDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PreferenceDefaultFields": {
    "AudioAccess": "string",
    "AudioAccess2": "string",
    "AudioEnable": 0,
    "BillPayCountLimit": 0,
    "BillPayLimit": 0,
    "BillPayMax": 0,
    "DepCountLimit": 0,
    "DepLimit": 0,
    "DepMax": 0,
    "HbEnable": 0,
    "HbMode": 0,
    "InteractMode": 0,
    "Language": 0,
    "ListTransactions": 0,
    "Reference": "string",
    "TranCodes": "string",
    "Type": 0,
    "UserCode": 0,
    "WdCashCountLimit": 0,
    "WdCashLimit": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}